import:
  - recipe/laravel.php
  - contrib/php-fpm.php

config:
  repository: 'https://git.bh.ttx.sk/jaro/ikea/'

hosts:
  web01.ttx.sk:
    remote_user: git
    branch: newlook
    deploy_path: '/var/www/html/ikea'
  nuc.bh.ttx.sk:
    remote_user: deployer
    branch: newlook
    deploy_path: '/var/www/html/ikea'
    bin/php: /usr/bin/php81
    php_fpm_version: 8.1
    php_fpm_service: php81-php-fpm
    after:
      deploy: php-fpm:reload




tasks:
  build:
    - cd: "/var/www/html/ikea/current"
    - run: "npm install"
    - run: "npm run build"

after:
  deploy:failed: deploy:unlock
